/* filename:    bvpred.g
** description: VAR Pred Batch
** created:     11/05/01
*/

new;
closeall;
library pgraph, user;
cls;

#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

/* Define some constants
*/
nblock   = 500;
shocks   = ones(1,nvar);    
mhrun    = "1p";

outstr = outpath $+ "\\bvpred" $+ mhrun $+ ".out";

output file = ^outstr reset;
output file = ^outstr off;


modelid = ftos(mspec,"%*.*lf",1,0);
lmodel  = "vd" $+ modelid;
omodel  = "v"  $+ modelid;

lamgridex = 0 | lamgrid;

Tind = 1;
do until Tind > rows(Tgrid);

   T0 = Tgrid[Tind,1];
   Tend = Tgrid[Tind,2];

   #include c:\projects\active\dsgeprio\Gausscgg\procs\loaddat2.g   

   lamindex = 1;
   do until lamindex > rows(lamgridex);

      lamind = lamindex - 1;

      lambda = lamgridex[lamind];
      gosub runproc;

      locate 1,1;
      "Sample Iteration" Tind   "of" rows(Tgrid);
      "Lambda Iteration" Lamindex "of" rows(lamgridex);

      lamindex = lamindex+1;

   endo;

   Tind = Tind+1;  

endo;

end;

runproc:
screen off;
output file = ^outstr on;
"";
"";
"";
"=========================================================";
"LAMBDA = " lambda;
"LAMIND = " lamind;
"T0     = " T0;
"TEND   = " TEND;
"MHRUN  = " $mhrun;
"Model  = " $lmodel;
"---------------------------------------------------------";
output file = ^outstr off;
screen on;

#include c:\projects\active\dsgeprio\Gausscgg\procs\vpred.g

return;

#include c:\projects\active\dsgeprio\Gausscgg\procs\prioproc.g
#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src