#include c:\projects\active\dsgeprio\Gausscgg\pathspec.g
#include c:\projects\active\dsgeprio\Gausscgg\varspec.g

modelid   = ftos(mspec,"%*.*lf",1,0);
lmodel    = "d" $+ modelid; 

priorfile = lmodel $+ "pri.out";
load path = ^priopath prior[npara,3] = ^priorfile;

para  = prior[1:npara,1];

{TTT, RRR, valid} = dsgesolv( para, mspec);

     sigr = para[11];
     sigg = para[12];
     sigz = para[13];
     lngamm = para[1];
     lnpist = para[2];
     lnr2st = para[3]+para[2];

     nstate = rows(TTT);

     /* create system matrices for state space model
     */

     /* composition of state vector
     ** [y,inf,r2,r2star,g,z,xi_y,xi_infl,y-1]'
     */

     ZZ = zeros(nvar,nstate);
     ZZ[1,1] = 1; ZZ[1,9] = -1;
     ZZ[2,2] = 1; 
     ZZ[3,3] = 4;
     DD = lngamm | lnpist | 4*lnr2st;

     HH = zeros(nvar,nvar);
     HH[1,1] = sigz^2;
     
     QQ = eye(nvar).* (sigr^2|sigg^2|sigz^2);

     VV = zeros(nvar,nvar);
     VV[3,1] = sigz^2;

     /* Compute nlags autocovariances
     */

     /* Initialize Autocovariances
     */
     GAMM0 = zeros(nvar^2,nlags+1);

     GA0  = inv(eye(nstate^2) - (TTT.*.TTT))*vec(RRR*QQ*RRR');
     GA0  = reshape(GA0,nstate,nstate);

     GY0   = ZZ*GA0*ZZ' + ZZ*RRR*VV + (ZZ*RRR*VV)' + HH;
     GY1   = ZZ*(TTT*GA0)*ZZ' + ZZ*(TTT*RRR*VV);

     GYY   = ( GY0 ~ GY1 ) |
             ( GY1' ~ GY0) ;

     DYY   = DD | DD;

     Msel  = zeros(3,6);
     Msel[1,1] = 1;
     Msel[2,2] = 1;
     Msel[3,3] = 1; Msel[3,6] = -1;

     "Autocovariance";
     Msel*GYY*Msel';
  
     "Uncentered";
     Msel*GYY*Msel'+Msel*DYY*DYY'*Msel';


#include c:\projects\active\dsgeprio\Gausscgg\procs\dsgemod.src
